
#include <stdint.h>

#include "GUI.h"
#include "stm32756g_eval_ts.h"

#include "btn.h"
#include "colors.h"



void draw_button(btn_area_t *btn_area, uint8_t active, const char * str)
{
    GUI_SetColor(GUI_GRAY);
    GUI_FillRoundedFrame(btn_area->x0, btn_area->y0, btn_area->x1, btn_area->y1, 5, 3);

    if ( active ) {
        GUI_SetColor(GUI_DARKGRAY);
        GUI_FillRoundedFrame(btn_area->x0+3,  btn_area->y0+3, btn_area->x1-3, btn_area->y1-3, 5, 3);      
        GUI_SetBkColor(GUI_DARKGRAY);
    } else {
        GUI_SetColor(GUI_LIGHTGRAY);
        GUI_FillRoundedFrame(btn_area->x0+3,  btn_area->y0+3, btn_area->x1-3, btn_area->y1-3, 5, 3);      
        GUI_SetBkColor(GUI_LIGHTGRAY);
    }

    GUI_SetColor(UTIA_COLOR_BLUE2);
    GUI_SetFont(&GUI_Font20B_ASCII);
    GUI_DispStringHCenterAt(str, btn_area->x0+((btn_area->x1-btn_area->x0)/2), btn_area->y0+(((btn_area->y1-btn_area->y0)/2)-10) );

}


uint32_t get_button(TS_StateTypeDef *touch_state, btn_area_t *btn_area, uint8_t btn_cnt)
{
    uint8_t   i;

    for (i = 0; i < btn_cnt; i++) {
        if ( (touch_state->x > btn_area[i].x0) && (touch_state->x < btn_area[i].x1) &&
             (touch_state->y > btn_area[i].y0) && (touch_state->y < btn_area[i].y1)
           ) {
             return (1 << i);
          }
    }
    return 0;
}
